--DROP TABLE FEDLOGDB.NMCRL_ORG_MAIL CASCADE CONSTRAINTS;

CREATE TABLE FEDLOGDB.NMCRL_ORG_MAIL
(
  NCAGE  VARCHAR2(5 BYTE)                       NOT NULL,
  MAIL   VARCHAR2(270 CHAR)                     NOT NULL
);


CREATE UNIQUE INDEX FEDLOGDB.P_NMCRL_ORG_MAIL ON FEDLOGDB.NMCRL_ORG_MAIL
(NCAGE, MAIL);

ALTER TABLE FEDLOGDB.NMCRL_ORG_MAIL ADD (
  CONSTRAINT P_NMCRL_ORG_MAIL
  PRIMARY KEY
  (NCAGE, MAIL)
  USING INDEX FEDLOGDB.P_NMCRL_ORG_MAIL
  ENABLE VALIDATE);


CREATE INDEX FEDLOGDB.I_NMCRL_ORG_MAIL_NCAGE ON FEDLOGDB.NMCRL_ORG_MAIL
(NCAGE);

ALTER TABLE FEDLOGDB.NMCRL_ORG_MAIL ADD (
  CONSTRAINT F_NMCRLORGMAIL_NMCRLORG 
  FOREIGN KEY (NCAGE) 
  REFERENCES FEDLOGDB.NMCRL_ORG (NCAGE)
  ENABLE VALIDATE);
